# Gimp.TextLayer.set_base_direction

    @accepts(Gimp.TextLayer, Gimp.TextDirection)
    @returns(bool)
    def set_base_direction(self, direction):
        # Python wrapper for gimp_text_layer_set_base_direction()

Set the base direction in the text layer.

This procedure sets the base direction used in applying the Unicode bidirectional algorithm when rendering the text.

Since 2.6

self

  The text layer.

direction

  The base direction of the text.

Returns